Package org.eclipse.mat.report

## Class SpecFactory.Report

- java.lang.Object
- - org.eclipse.mat.report.SpecFactory.Report

Enclosing class:
  SpecFactory

    public class SpecFactory.Report
    extends java.lang.Object

### Constructor Summary

Constructors
`Report​(IConfigurationElement configElement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()`
`java.lang.String` `getExtensionIdentifier()`
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Report

    public Report​(IConfigurationElement configElement)

### Method Detail

#### getExtensionIdentifier

    public java.lang.String getExtensionIdentifier()

#### getName

    public java.lang.String getName()

#### getDescription

    public java.lang.String getDescription()